# BatchEditRequest

Request for editing multiple files atomically. Designed for AI agents doing refactoring operations.

**Kind:** an object, used in requests.

## Fields

| Field | Type | Required | Description |
|---|---|---|---|
| `edits` | [`BatchEditFileRequest`](https://docs.maitento.com/reference/types/batch-edit-file-request.md)`[]` |  | List of file edits to apply. |
| `atomic` | `boolean` |  | If true, all edits must succeed or none are applied. If false, each file is edited independently. |

## Example

```json
{
  "edits": [
    {
      "path": "...",
      "operations": []
    }
  ],
  "atomic": false
}
```

## Where it's used

- [`vfs.open(name).batchEdit`](https://docs.maitento.com/reference/api/vfs.md) (`POST /namespaces/{namespaceName}/vfs/by-name/{name}/batch/edit`)
- [`vfs.openById(id).batchEdit`](https://docs.maitento.com/reference/api/vfs.md) (`POST /vfs/by-id/{id}/batch/edit`)
